#ifndef __REGISTRY_H
#define __REGISTRY_H

#include <errno.h>
#include <fcntl.h> 
#include <stdio.h>
#include <sys/mman.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <sys/types.h>
#include <unistd.h>

extern int *create_registry(const char *regname, int *regfd, int *regsz);
extern int destroy_registry(const char *regname, int *reg, int *regsz);
extern int *map_registry(const char *regname, int *regfd, int *regsz);
extern int unmap_registry(int *reg, int *regsz);

#endif
