#include "../common/pkmem-user.h"

int main(int argc, char* argv[])
{
        unsigned long start, pages;
        int err;

        err = -1;
        if(argc != 2) {
                printf("usage: %s <start address of share region>\n", argv[0]);
                err = 1;
                goto out;
        }
        start = atoll(argv[1]);
        if(pk_free(start) < 0) { pkerror("pk_free"); goto out; }
        if(pk_end() < 0) { pkerror("pk_end"); goto out; }
        printf("pkMem share region freed: %lu\n", start);
        err = 0;
out:
        return err;
}
