#ifndef __PC_THREAD_H
#define __PC_THREAD_H

#include <fcntl.h>
#include <pthread.h>
#include <stdio.h>
#include <string.h>
#include <sys/mman.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <unistd.h>
#include "../common/mhz.h"
#include "../common/pc-pkmem.h"

#define WAIT(mutex, cond)       pthread_mutex_lock(mutex);      \
				pthread_cond_wait(cond, mutex); \
				pthread_mutex_unlock(mutex);
				
#define SIGNAL(mutex, cond)     pthread_mutex_lock(mutex);      \
				pthread_cond_signal(cond);      \
				pthread_mutex_unlock(mutex);
#endif
